Package com.smartgwt.client.types

# Enum Overflow

java.lang.Object
java.lang.Enum<Overflow>
com.smartgwt.client.types.Overflow

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<Overflow>`, `Constable`

public enum Overflow extends Enum<Overflow> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  Horizontal and/or vertical scrollbars are displayed only if necessary.
  `CLIP_H`
  Clip horizontally but extend the canvas's clip region vertically if necessary.
  `CLIP_V`
  Clip vertically but extend the canvas's clip region horizontally if necessary.
  `HIDDEN`
  Content that extends beyond the widget's width or height is clipped (hidden).
  `SCROLL`
  Horizontal and vertical scrollbars are always drawn inside the widget.
  `VISIBLE`
  Content that extends beyond the widget's width or height is displayed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static Overflow`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Overflow[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VISIBLE

    public static final Overflow VISIBLE
    Content that extends beyond the widget's width or height is displayed. Note: To have the content be sized only by the drawn size of the content set the overflow to be Canvas.VISIBLE and specify a small size, allowing the size to expand to the size required by the content. Leaving the width / height for the widget undefined will use the default value of 100, and setting the size to zero may cause the widget not to draw.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "visible".

  - ### HIDDEN

    public static final Overflow HIDDEN
    Content that extends beyond the widget's width or height is clipped (hidden).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hidden".

  - ### AUTO

    public static final Overflow AUTO
    Horizontal and/or vertical scrollbars are displayed only if necessary. Content that extends beyond the remaining visible area is clipped.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "auto".

  - ### SCROLL

    public static final Overflow SCROLL
    Horizontal and vertical scrollbars are always drawn inside the widget. Content that extends beyond the remaining visible area is clipped, and can be accessed via scrolling.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "scroll".

  - ### CLIP_H

    public static final Overflow CLIP_H
    Clip horizontally but extend the canvas's clip region vertically if necessary.
    Note: only supported for specific widget subclasses.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "clip-h".

  - ### CLIP_V

    public static final Overflow CLIP_V
    Clip vertically but extend the canvas's clip region horizontally if necessary.
    Note: only supported for specific widget subclasses.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "clip-v".

- ## Method Details

  - ### values

    public static Overflow[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Overflow valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`